/* .container {
    height: auto;
} */

.header {
    width: 1050px;
    display: flex;
    /* justify-content: space-between; */
    justify-content: center;
    align-items: center;
    flex-direction: row;
    gap: 10px;
    margin-top: 25px;
}
.header .pageTitle {
    margin-top: 0;
    margin-left: 0px;
}
.header .pageTitle.decalage, .header .changeDayBtn.decalage {
    margin-left: 200px;
}
.header .resetBtn, .header .backBtn {
    display: flex;
    justify-content: center;
    align-items: center;
    color: #fff;
    background-color: transparent;
    cursor: pointer;
    height: 40px;
    min-width: 48px;
    font-size: 16px;
    /* backdrop-filter: brightness(60%); */
}
/* .header .backBtn {
    background-color: transparent;
    cursor: pointer;
    border: var(--border-container);
    border-radius: 50%;
} */
/* .header .backBtn {
    TODO: Voir pour la marge
    margin-left: 100px;
} */


/* Bannière évènements permanents */
.permaBanner {
    width: 1050px;
    display: flex;
    flex-direction: column;
    gap: 10px;
    /* backdrop-filter: brightness(40%); */
    /* border: 1px solid rgba(255,255,255,0.15); */
    /* border-radius: 16px; */
    /* padding: 16px; */
    /* box-sizing: border-box; */
}
.permaBanner.close {
    display: none;
}

.permaBanner .permaTitle, .permaBanner .permaTitle div {
    display: flex;
    /* justify-content: space-between; */
    justify-content: center;
    align-items: center;
    gap: 8px;
}

.permaBanner .permaTitle p {
    font-size: 20px;
    font-weight: 600;
}

.permaBanner .seeAll {
    background: rgba(0, 0, 0, 0.14);
    border: 1px solid rgba(255,255,255,0.4);
    padding: 6px 12px;
    border-radius: 6px;
    color: #fff;
    font-size: 13px;
    cursor: pointer;
    transition: 0.2s ease;
}

.permaBanner .seeAll:hover {
    background: rgba(255, 255, 255, 0.18);
    border-color: rgba(255, 255, 255, 0.45);
    transform: translateY(-1px);
}

.permaBanner .preview {
    display: flex;
    justify-content: center;
    gap: 8px;
    flex-wrap: wrap;
}

.permaBanner .preview span {
    /* background: rgba(255,255,255,0.06); */
    /* background: rgba(255, 255, 255, 0.123); */
    background: rgba(255, 255, 255, 0.253);
    border: 1px solid rgba(255, 255, 255, 0.08);
    padding: 6px 10px;
    border-radius: 6px;
    font-size: 14px;
    cursor: pointer;
    transition: 0.2s;
}

.permaBanner .preview span:hover {
    /* background: rgba(255,255,255,0.12); */
    background: rgba(255, 255, 255, 0.486);
}






#eventsContainer {
    height: auto;
    display: flex;
    flex-direction: column;
    width: 1050px;
    gap: 10px;
}

.eventSubContainer {
    width: 100%;
    display: flex;
    flex-direction: row;
    gap: 15px;
}

.eventSubContainer.permanents, .baseContainer.permanents {
    margin-top: 20px;
}

.event {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    gap: 4px;
}
.event h3 {
  display: flex;
  align-items: center;
}
.event p:not(.permanent) {
    display: grid;
    grid-template-rows: 1fr;
    grid-template-columns: 1fr 5px 205px 5px 1fr;
    gap: 8px;
}
.event p.permanent {
    display: grid;
    grid-template-rows: 1fr;
    grid-template-columns: 1fr 5px 1fr;
    gap: 8px;
}
.event p > * {
    min-width: 0;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}
.baseContainer.focus {
    border-color: #FFA300 !important;
    box-shadow: 0 0 10px #c97f00;
}

.dateBlock {
    display: flex;
    justify-content: center;
    width: 80px;
    margin: 0; padding: 0;
    font-size: 18px;
    font-weight: bold;
}
.dateBlock.single {
    align-items: center;
}
.dateBlock.multi {
    align-items: flex-start;
    padding-top: 26px;
}
.dateBlock.ongoing {
    font-size: 12px;
}

.mobile {
    display: none;
}

.dateGap {
    margin-left: 96px;
}

.eventsColumn {
    display: flex;
    flex-direction: column;
    gap: 10px;
    flex: 1;
}

.containerTitleEvenement {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    gap: 8px;
}

.detailsBtn {
    background: rgba(0, 0, 0, 0.14);
    border: 1px solid rgba(255, 255, 255, 0.4);
    color: white;

    padding: 6px 12px;
    border-radius: 6px;

    transition: 0.2s ease;
    cursor: pointer;
}
.detailsBtn:hover {
    background: rgba(255, 255, 255, 0.18);
    border-color: rgba(255, 255, 255, 0.45);
    transform: translateY(-1px);
}


.tagLess {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 4px;
    padding: 0 13px 0 8px;
}

.tag {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 4px;
    /* display: inline-flex;
    width: fit-content;
    align-items: center; */

    padding: 2px 12px 2px 8px;
    /* border: var(--border-container); */
    border-radius: 6px;

    /* background: rgba(255, 255, 255, 0.26); */
    background: rgba(255, 255, 255, 0.253);
    border: 1px solid rgba(255, 255, 255, 0.08);
    cursor: pointer;
    transition: 0.2s;
    white-space: nowrap;
    -webkit-touch-callout: none;

}

.tag:hover {
    background: rgba(255, 255, 255, 0.486);
    /* transform: scale(1.05); */
    transform: scale(1.02);
}

.titleButton {
    width: fit-content;
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 4px;
}
.changeDayBtn {
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    width: 32px;
    aspect-ratio: 1 / 1;
    background-color: transparent;
    cursor: pointer;
    font-size: 20px;
    color: #fff;
    padding: 0;
}

.subTitle {
    font-size: 20px;
    text-align: center;
}


@media screen and (max-width: 1100px) {
    .header {
        width: 100%;
        flex-direction: column;
    }
    .header .pageTitle.decalage, .header .changeDayBtn.decalage {
        margin-left: 0;
    }

    #eventsContainer {
        width: 100%;
    }

    .permaBanner {
        width: 100%;
    }
}


@media screen and (max-width: 800px) {
    .container {
        gap: 0;
    }

    .eventSubContainer {
        flex-direction: column;
        gap: 10px;
        margin-top: 16px;
    }
    
    .pageTitle {
        font-size: 20px;
    }

    .dateBlock {
        width: 100%;
        padding: 8px 0;
        border-color: #fff;
    }
    .dateBlock.multi {
        padding-top: 8px;
    }
    .dateBlock.ongoing {
        font-size: 18px;
    }
    .date.desktop {
        display: none;
    }
    .date.mobile {
        display: block;
    }

    .event h3 {
        font-size: 16px;
    }
    .event p {
        grid-template-columns: 1fr 5px 165px 5px 1fr;
    }
    .event p > * {
        font-size: 14px;
    }
    .event .detailsBtn {
        padding: 4px 8px;
    }

    .permaBanner {
        margin-top: 16px;
        padding: 10px;
        gap: 4px;
    }
    .permaBanner .permaTitle .seeAll {
        padding: 4px 8px;
    }
    .permaBanner .permaTitle p {
        font-size: 18px;
    }
    .permaBanner .permaTitle img {
        width: 20px;
        height: 20px;
    }

}

@media screen and (max-width: 550px) {
    .container {
        padding: 8px;
    }

    .pageTitle {
        font-size: 16px;
    }
    .header {
        justify-content: center;
        flex-direction: column;
    }
    .header .pageTitle {
        margin-left: 0;
    }


    .header {
        gap: 4px;
    }
    .header .resetBtn {
        display: flex;
        flex-direction: row;
        width: auto;
        height: auto;
        padding: 6px 8px;
        gap: 4px;
    }
    .header .resetBtn span {
        display: block;
    }


    .dateBlock, .dateBlock.ongoing {
        font-size: 16px;
    }


    .event p:not(.permanent), .event p.permanent {
        display: flex;
        flex-direction: column;
        gap: 4px;
    }

    .event p .desktop {
        display: none;
    }

    .tagLess {
        padding-left: 9px;
    }

    .permaBanner {
        gap: 8px;
    }
    .permaBanner .permaTitle {
        flex-direction: column;
    }
    .permaBanner .permaTitle .seeAll {
        width: 100%;
        box-sizing: border-box;
    }
    .permaBanner .permaTitle p {
        font-size: 16px;
    }
    .permaBanner .permaTitle p span.grand {
        display: none;
    }
    .permaTitle img {
        width: 16px;
        height: 16px;
    }
    .permaBanner .preview {
        flex-direction: column;
    }
    .permaBanner .preview span {
        width: 100%;
        box-sizing: border-box;
        padding: 2px 8px;
    }

    .changeDayBtn {
        width: 25px;
        min-width: 25px;
        font-size: 16px;
    }
}

@media screen and (max-width: 350px) {
    .desktop {
        display: none;
    }

    .mobile {
        display: block;
    }

    .header .resetBtn {
        width: 100%;
        justify-content: center;
    }

    .detailsBtn {
        border: 1px solid rgba(255, 255, 255, 0.5);
        background: rgba(0, 0, 0, 0.08);
    }

    .tag {
        background: rgba(255, 255, 255, 0.178);
        border: 1px solid rgba(255, 255, 255, 0.2);
    }

    .permaBanner .preview span {
        background: rgba(255, 255, 255, 0.178);
    }
}

@media screen and (max-width: 300px) {
    .permaBanner .permaTitle img {
        display: none;
    }
}